[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemonMapper.OnDestroy

Event called when the daemon mapper is freed.

## Declaration

Source position: daemonapp.pp line 290

`published property TCustomDaemonMapper.OnDestroy : TNotifyEvent read FOnDestroy write FOnDestroy;`

## Description

OnDestroy is called when the global daemon mapper instance is destroyed. it can be used to release up any resources that were allocated when the instance was created, in the OnCreate event.

## See also

OnCreate |  | Event called when the daemon mapper is created
OnInstall |  | Event called when the daemons are installed
OnUnInstall |  | Event called when the daemons are uninstalled
OnCreate |  | Event called when the daemon mapper is created

Documentation generated on: Feb 26 2014